#include "MainWindow.h"
#include "ui_MainWindow.h"
#include <QLayout>
#include <QLabel>
#include <QApplication>
#include <QDesktopWidget>
#include <QAbstractButton>
#include <QMenu>
#include <QMouseEvent>
#include <QDebug>
#include <QWindow>
#include <QApplication>

MainWindow::MainWindow(QMenu *contextMenu, QAction *action, int screenId, QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow),
    contextMenu_(contextMenu),
    myParent(parent)
{
    ui->setupUi(this);
    ui->label->setText("Screen ID:" + QString::number(screenId));

    auto menu = new QMenu("Menu", this);

    menu->addAction(action);
    this->menuBar()->addMenu(menu);

    qWarning() << "screenId" << screenId <<  this;
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::mousePressEvent(QMouseEvent *event)
{
    contextMenu_->setParent(myParent, contextMenu_->windowFlags());
//    contextMenu_->popup(event->globalPos()); //WORK
    QAction *selectedAction = contextMenu_->exec(event->globalPos()); //NOT WORK
    qWarning() << selectedAction;
}
