#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QAction>
#include <QMenu>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QMenu*, QAction*, int screenId, QWidget *parent = 0);
    ~MainWindow();
    void mousePressEvent(QMouseEvent *event);

private:
    Ui::MainWindow *ui;
    QMenu* contextMenu_;
    QWidget *myParent;
};

#endif // MAINWINDOW_H
